/* Terraform - (C) 1997-2000 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *  - http://terraform.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _TF_DIALOG_FILL_H
#define _TF_DIALOG_FILL_H 1

#include <gtk--/adjustment.h>
#include <gtk--/box.h>
#include <gtk--/checkbutton.h>
#include <gtk--/frame.h>
#include <gtk--/label.h>
#include <gtk--/scale.h>

#include "TFPreviewDialog.h"


/**
 *  TFDialogFill: display the fill dialog 
 */
class TFDialogFill : public TFPreviewDialog
	{
	public: 
				TFDialogFill (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogFill (); 
		void		buildDialogWindow ();
		void 		buttonCallbackApply ();

	private:
		void		insertOptions ();
		void		updatePreviewCallback ();

		Gtk::VBox		d_vBoxOptions; 
		Gtk::HBox		d_hBoxFillElv, 
					d_hBoxTightFactor,
					d_hBoxKeepMin; 
		Gtk::Adjustment		d_adjFillElv,
					d_adjTightFactor;
		Gtk::HScale 		d_hsFillElv,
					d_hsTightFactor;
		Gtk::Label		d_lblFillElv,
					d_lblTightFactor,
					d_lblKeepMin;
		Gtk::Frame		d_frmOptions;
		Gtk::CheckButton	d_cbKeepMin;
	};


#endif // _TF_DIALOG_FILL_H
